Issue #11751 has been updated by Usaku NAKAMURA.

Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: DONE to 2.0.0: REQUIRED, 2.1: DONE, 2.2: DONE

ruby_2_1 r52853 merged revision(s) 52795.

----------------------------------------
Bug #11751: allow --with-libedit to work when a path is specified
https://bugs.ruby-lang.org/issues/11751#change-55202

* Author: John Hein
* Status: Closed
* Priority: Normal
* Assignee: 
* ruby -v: 
* Backport: 2.0.0: REQUIRED, 2.1: DONE, 2.2: DONE
----------------------------------------
Adding dir_config("libedit") to ext/readline/extconf.rb allows the --with-libedit configuration knob to take a path (e.g., --with-libedit=/opt/libedit).

Patch against trunk attached.

---Files--------------------------------
pr-ruby-libedit.diff (440 Bytes)


-- 
https://bugs.ruby-lang.org/